Skip to main content
GET
/
matters
/
{matterId}
/
invoices
/
{invoiceId}
/
download
Get download url for an invoice
curl --request GET \
  --url https://api.smokeball.com/matters/{matterId}/invoices/{invoiceId}/download \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/matters/{matterId}/invoices/{invoiceId}/download"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/matters/{matterId}/invoices/{invoiceId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "invoiceId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "versionId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "downloadUrl": "",
  "expiry": "2022-04-23T14:30:00Z",
  "status": "Draft"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required
invoiceId
string
required

Response

When request is successful. Returns an 'InvoiceFileInfo' object.

invoiceId
string | null

Unique identifier of the requested invoice

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

versionId
string | null

Unique identifier of the invoice version

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

downloadUrl
string | null

Link to download file

Example:

""

expiry
string<date-time>

Expiry date/time when the download link is no longer accessible

Example:

"2022-04-23T14:30:00Z"

status
string | null

Current status of the invoice

Example:

"Draft"